% LK2.TEX - 2.Teil der LaTeX-Kurzbeschreibung Graz-Wien 1987
% last change: 1990-04-24.

\section{Sadzba textu}

\subsection{Zalomenie riadkov a strn}

\def\specialparskip{\par\begingroup
    \setlength{\parindent}{0pt}
    \setlength{\parskip}{5pt plus 2pt minus 1pt}}
\def\endspecialparskip{\par\endgroup}

\begin{specialparskip}

\subsubsection{Blokov sadzba}

Ben text sa sdza blokovo, t.j. so zarovnanmi okrajmi. \LaTeX\
vykonva zalomenie (zarovnanie) riadkov a strn automaticky. Pritom
pre kad odstavec stanov najlepie mon rozdelenie slov
v~riadkoch a -- ke je to potrebn -- slov bud automaticky
rozdelen.
\exa
Koniec slov a viet bude charakterizovan przdnym znakom (medzerou).
Pritom nehr iadnu lohu, i zadme jeden alebo        100 przdnych
znakov.

\medskip

Jeden alebo viacer przdne riadky vyznauj koniec odstavcov.

\exb
\begin{verbatim}
Koniec slov a viet bude
charakterizovan przdnym
znakom (medzerou). Pritom
nehr iadnu lohu, i zadme
jeden alebo      100 przdnych
znakov.

Jeden alebo viacer przdne
riadky vyznauj koniec
odstavcov.
\end{verbatim}
\exc

Od Document Stylu zvis, ako bud sdzan odstavce. V~lnkoch,
sprvach a knihch sa odstavce znzoruj posunutm prvho
riadku -- tak ako vo vetkch ostatnch odsekoch tohoto popisu.
V~listoch, prpadne ak zadme definciu vo forme
\begin{verse}
\verb|\setlength{\parindent}{0pt}| \\
\verb|\setlength{\parskip}{5pt plus 2pt minus 1pt}  ,|
\end{verse}
bud sa odstavce zobrazova vertiklnou medzerou bez horizontlneho
odsadenia prvho riadku -- tak ako v~tomto odseku. Ako vedaj efekt
sa pritom zmenia aj odstupy v~prostrediach (Environments) a
matematickch rovniciach.

Pomocou prostred, popsanch v~asti~\ref{env}, je mon zvltne
asti textu sdza zakadm in.

Okrem toho meme vo vnimonch prpadoch ovplyvni zalomenie
nasledujcimi prkazmi:
Prkaz \verb|\\| alebo \verb|\newline|
spsob zalomenie riadku bez novho odstavca, prkaz \verb|\\*|
zmenu riadku, pri ktorej nesmie nasta zmena strany.
Prkaz \verb|\newpage| spsob zmenu strany.
Prkazmi \verb|\linebreak[|{\it n\/}\verb|]|,
\verb|\nolinebreak[|{\it n\/}\verb|]|,
\verb|\pagebreak[|{\it n\/}\verb|]|   a
\verb|\nopagebreak[|{\it n\/}\verb|]|
meme zada, i je na uritom mieste zmena riadku, resp.\ strany
skr vhodn alebo skr nevhodn, priom {\it n\/}
zadva silu ovplyvnenia (1, 2 alebo~3).

\LaTeX\ sa sna urobi zalomenie riadkov zvl pekne.
V~prpade, e nenjde iadnu monos pre hladk prav okraj,
vyhovujcu prsnym pravidlm, nech riadok dlh a vype
zodpovedajce chybov hlsenie (\uv{overfull hbox}).
To nastva obzvl vtedy, ke nenjde iadne vhodn miesto
pre rozdelenie slabk. Ak zadme prkaz \verb|\sloppy|, je  \LaTeX\
veobecne menej prsny vo svojich poiadavkch a vyhba sa takm
predenm riadkom tm, e viac zv odstupy medzi slovami --
v~krajnom prpade aj nepekne. V~tomto prpade sce bud hlsen
varovania (\uv{underfull hbox}), vsledok je vak plne pouiten.


\end{specialparskip}


\subsubsection{Delenie slabk} \label{silb}

V~prpade, ke automatick delenie slabk v~jednotlivch
prpadoch ned sprvny vsledok, meme tieto \uv{vnimky}
napravi nasledujcimi prkazmi. To me by potrebn
obzvl pri zloench alebo cudzojazynch slovch.

Prkaz \verb|\hyphenation| spsob, e v~om uveden slov
mu by rozdelen vdy na a len na mieste, vyznaenom znakom
\verb|-| .
Mus by umiestnen na zaiatku vstupnho sboru a hod sa
{\em len\/} pre slov neobsahujce prehlsky, ostr 
s~\footnote{V nemeckom jazyku ss (\ss) (pozn. prekl.).}, cifry alebo
zvltne znaky. Prklad:
\exa
~
\exb
\begin{verbatim}
\hyphenation{ Eingabe-file
   Eingabe-files FORTRAN }
\end{verbatim}
\exc

Prkaz \verb|\-| spsob, e sa slovo me rozdeli v~tomto
jednom prpade na a len na mieste, vyznaenom pomocou \verb|\-| .
Tento prklad sa hod pre {\em vetky\/} slov, aj pre tak, ktor
obsahuj prehlsky, ostr s, cifry a zvltne znaky.
\exa
Ein\-gabe\-file, \LaTeX-Eingabe-\\
file, H\"a\ss \-lich\-keit
\exb
\begin{verbatim}
Ein\-gabe\-file,
\LaTeX-Eingabe\-file,
H\"a\ss \-lich\-keit
\end{verbatim}
\exc

Pre pecilne prpady mme ete prkaz \verb|\discretionary|.
Obidva prv parametre zadvaj asti textu pre prpad rozdelenia,
tret zadva text bez delenia.\footnote
{Pohodln monos zadania \uv{ck} bude uveden v~asti
~\ref{sec:deutsch} .}
\exa
Drucker oder Druk-\\
ker
\exb
\begin{verbatim}
Dru\discretionary{k-}{k}{ck}er
\end{verbatim}
\exc

Prkaz \verb|\mbox{...}| spsob, e sa argument nesmie rozdeli.
\exa
Telefnne slo u nie je
\mbox{(0222) 5601-3694}. \\
Parameter \mbox{\it filename\/}
udva nzov s\-boru.
\exb
\begin{verbatim}
Telefnne slo u nie je
\mbox{(0222) 5601-3694}. \\
Parameter \mbox{\it filename}
udva nzov s\-boru.
\end{verbatim}
\exc

\subsection{Zvltne znaky}

\subsubsection{vodzovky}

Pre vodzovky sa {\em nepouva\/} pre psac stroj obvykl
znamienko (\verb|"|).
V~knh\-tla\-i sa bud sdza pre otvracie a uzavieracie vodzovky
vdy rzne znaky, resp. kombincie znakov. Otvracie anglick
(americk) vodzovky dostaneme zadanm dvoch avch apostrofov
(Grave-akcent), uzavieracie dvoma pravmi apostrofmi.
\exa
``No,'' he said,
``I don't know!''
\exb
\begin{verbatim}
``No,'' he said,
``I don't know!''
\end{verbatim}
\exc


Nemeck vodzovky \footnote{Rovnako aj slovensk (pozn. prekl.).}
(\uv{husacie nky}) vyzeraj in (pozri as~\ref{sec:deutsch}).


\subsubsection{Spojovnky a pomlky}

V~knhtlai sa pouvaj rzne iarky pre spojovnky, pomlky
a znamienko mnus. iarky rznej dky sa v~\LaTeX u~zadvaj
kombinovanm znamienka mnus:
\exa
O-Beine \\
10--18~Uhr \\
ja -- oder nein? \\
yes---or no? \\
0, 1 und $-1$
\exb
\begin{verbatim}
O-Beine \\
10--18~Uhr \\
ja -- oder nein? \\
yes---or no? \\
0, 1 und $-1$
\end{verbatim}
\exc

\subsubsection{Bodky (dots)}

Na rozdiel od psacieho stroja, kde je kad bodka a kad iarka
u\-miest\-o\-va\-n s~odstupom, zodpovedajcim rke psmena, bud bodky
a iarky v~knhtlai sdzan tesne k~predchdzajcemu znaku.
Pre \uv{bodky pre pokraovanie} (tri bodky s~vhodnmi medzerami)
mme preto vlastn prkaz \verb|\ldots| alebo \verb|\dots|.
\exa
Nie tak ... ale tak: \\
Wien, Graz, \dots
\exb
\begin{verbatim}
Nie tak ... ale tak: \\
Wien, Graz, \dots
\end{verbatim}
\exc

\subsubsection{Spjanie psmen -- ligatry}

V~knhtlai je obvykl, e sa niektor kombincie psmen sdzaj
in ako jednotliv psmen.
\begin{verse}
{\large ff fi fl AV Te\dots}\quad
namiesto\quad {\large f\/f f\/i f\/l A\/V T\/e\dots}
\end{verse}
Tmto ligatram sa meme vyhn tm, e medzi psmen umiestnime
prkaz \verb|\/| alebo \verb|{\kern0pt}|.\footnote
{Pozri tie as~\ref{sec:deutsch}.}
Toto musme urobi vdy vtedy, ke sa tak kombincie psmen
vyskytuj za predponou alebo pri zloench slovch medzi
slovnmi asami.\footnote{To sa tka predovetkm nemeckho jazyka
(pozn. prekl.).}
\exa
Nie Auflage (Au-fl-age) \\
ale Auf\/lage (Auf-lage)
\exb
\begin{verbatim}
Nie Auflage (Au-fl-age) \\
ale Auf\/lage (Auf-lage)
\end{verbatim}
\exc

\subsubsection{Diakritick znamienka (akcenty) a zvltne psmen}

\LaTeX\ umouje pouitie diakritickch znamienok a zvltnych
psmen z~poetnch rznych jazykov (vi tab.~\ref{akzente}).
Akcenty s v~nej ukzan na prklade psmena o, v~princpe vak mu
by umiestnen na kad psmeno. Ke chceme umiestni akcent na psmen
i alebo j, musme odstrni bodku nad nimi. To dosiahneme prkazmi
\verb|\i| a \verb|\j|.
\begin{table}
\caption{Akcenty a zvltne psmen} \label{akzente}
\oben{10cm}
\let\eq=\=
\let\aigu=\'
\let\gra=\`
\begin{tabbing}
Vstup\quad \= Vstup \hspace{2cm}\= Vstup\quad \= Vstup \\[6pt]
\verb|\`o  |  \> \gra{o}    \> \verb|\'o  |  \> {\aigu{o}}\hfill \\
\verb|\^o  |  \> \^o    \> \verb|\~o  |  \> \~o\\
\verb|\=o  |  \> \eq{o}    \> \verb|\.o  |  \> \.o\\
\verb|\u o~|  \> \u o~\> \verb|\v o~|  \> \v o\\
\verb|\H o~|  \> \H o~\> \verb|\"o  |  \> \"o \\
\verb|\c o~|  \> \c o~\> \verb|\d o~|  \> \d o\\
\verb|\b o~|  \> \b o~\> \verb|\t oo|  \> \t oo\\[6pt]
\verb|\oe  |  \> \oe    \> \verb|\OE  |  \> \OE\\
\verb|\ae  |  \> \ae    \> \verb|\AE  |  \> \AE\\
\verb|\aa  |  \> \aa    \> \verb|\AA  |  \> \AA\\
\verb|\o   |  \> \o     \> \verb|\O   |  \> \O\\
\verb|\l   |  \> \l     \> \verb|\L   |  \> \L\\
\verb|\i   |  \> \i     \> \verb|\j   |  \> \j\\[6pt]
{\tt !{}`}    \> !`    \> {\tt ?{}`}    \> ?`
\end{tabbing}
\unten
\end{table}
\exa
%\umlauthigh  <-------
H\^otel, na\"\i ve, sm\o rebr\o d. \\
!`Se\~norita!
\exb
\begin{verbatim}
H\^otel, na\"\i ve,
sm\o rebr\o d. \\
!`Se\~norita!
\end{verbatim}
\exc


\subsection{Medzery}

\LaTeX\ trochu men przdne miesta medzi slovami, aby dosiahol
hladk prav okraj. Za bodkami, otznikmi a i. , ktor ukonuj vetu,
sa pritom vytvor o~nieo via medzera, o zvyuje itatenos
textu. \LaTeX\ predpoklad, e bodky, nasledujce za vekm
psmenom, znamenaj skratku, a e vetky ostatn bodky ukonuj
vetu.

Vnimky z~tohoto pravidla musme \LaTeX u~oznmi nasledujcimi
prkazmi:
Backslash pred medzerou znamen, e tto medzera nesmie by
rozren. Vlnovka \verb|~| (Tilde) znamen medzeru, ktor nesmie
by rozren a na ktorej mieste nesmie nasledova zalomenie riadku.
Prkaz \verb|\@| pred bodkou znamen, e tto bodka kon vetu, hoci
pred ou stoj vek psmeno.
\exa
Dazu z\"ahlen u.a.\ auch die
\"Osterr.\ Bundesbahnen.     \\
Dr.~Partl wohnt im 1.~Stock. \\
\dots\ 5~m breit. \\
Ich brauche Vitamin~C\@. Du nicht?
\exb
\begin{verbatim}
Dazu z\"ahlen u.a.\ auch die
\"Osterr.\ Bundesbahnen.     \\
Dr.~Partl wohnt im 1.~Stock. \\
\dots\ 5~m breit. \\
Ich brauche Vitamin~C\@.
Du nicht?
\end{verbatim}
\exc

\noindent
Okrem toho existuje monos dohodn sa prkazom
\begin{quote}
\verb|\frenchspacing  ,|
\end{quote}
e sa s~medzerami na konci viet nebude naklada in ako s~medzerami
medzi slovami. Tto konvencia je rozren v~neanglickom jazykovom
priestore. V~tomto prpade  nie je potrebn zadva prkazy
{\tt\verb|\|~\mbox{}} a \verb|\@| .

\subsection{Nemeck texty}\label{sec:deutsch}


Prkazy, uveden v~tejto asti, zodpovedaj norme pre nemeck
prkazy \TeX u~a \LaTeX u~\cite{muenster,germtug}, dohodnutej na 6.~
stretnut nemeckch zujemcov o~\TeX . Nie s vak k~dispozcii
v~originlnej verzii \LaTeX u, pochdzajcej z~Ameriky. Originlna
verzia podporuje len dokumenty psan v~anglickom jazyku. V~prruke \local\
kadej intalcie \LaTeX u~je uveden, ktor z~prkazov opsanch
v~tejto asti s k~dispozcii, resp.\ ktor aie prkazy mu
by pouit na Vaom mieste (potai).

Pri vmene sborov \LaTeX u~za in intalciu, ktor nepouva
t ist sadu prkazov, me by teda nevyhnutn zaslanie Document Style
sborov pouvanch pecilne v~danom dokumente.

\subsubsection{Delenie slabk}

Pri vyvolan \LaTeX u~\cite{local} bude deklarovan, i sa m delenie
slabk v~celom psomnom doklade uskutoova poda anglickch alebo
nemeckch pravidiel~\cite{ghyph}.\footnote{Existuje u verzia \TeX 
u~podporujca esk alebo slovensk delenie (pozn. prekl.).}
Vnimky vntri dokumentu mu by zadan prkazmi, uvedenmi 
v~odseku~\ref{silb}.


\subsubsection{Prehlsky a ostr s}

V~originlnej verzii \LaTeX u~existuje prkaz
\verb|\"| pre prehlsky a  \verb|\ss| pre ostr s.
Nemeck texty meme teda psa v~trochu pracnejej nasledujcej
forme:
\exa
Die h\"a\ss liche Stra\ss e
mu\ss{} sch\"oner werden.
\exb
\begin{verbatim}
Die h\"a\ss liche Stra\ss e
mu\ss{} sch\"oner werden.
\end{verbatim}
\exc

Ke zadme Document Style Option {\tt german}~\cite{germ,germtug} ,
bud k~dispozcii dodatone nasledujce, jednoduchie pouiten
prkazy: Prehlsky sa bud psa predpsanm vodzoviek, teda napr.
\verb|"o| pre \uv{\"o}. Pre ostr s~peme
\verb|"s| (bez problmu s~nasledujcou medzerou).
Meme teda psa\footnote{Existuj aj adekvtne pravy pre psanie
v~slovenskom jazyku, ale pre neprehadnos zdrojovho textu psanho
striktne poda pravidiel \varlatex u~sa pouva psanie zdrojovho textu
v~kde Kamenickch a potom sa aplikuj predprocesory alebo
postprocesory na ich definitvnu pravu (pozn. prekl.).}:
\exa
Die h\"a\ss liche Stra\ss e
mu\ss\  sch\"oner werden.
\exb
\begin{verbatim}
Die h"a"sliche Stra"se
mu"s sch"oner werden.
\end{verbatim}
\exc

\subsubsection{vodzovky}

\uv{Nemeck vodzovky} vyzeraj in, ako ``anglick Quotes''.
V~originlnom \LaTeX u~sa meme poksi zada pre spodn nemeck
vodzovky (av) dve iarky a pre horn (prav) dva av apostrofy.
Vsledok vak nie je zvl pekn.
Namiesto \verb|!``| a \verb|?``| musme psa
\verb|!\/``| resp.~\verb|?\/``| , pretoe in dostaneme zvltne
panielske znaky.
\exa
,,Nie,`` povedal,
,,ja neviem ni!\/``
\exb
\begin{verbatim}
,,Nie,`` povedal,
,,ja neviem ni!\/``
\end{verbatim}
\exc

Pri zadan
Document Style Option {\tt german}~\cite{germ,germtug}
s k~dispozcii nasledujce prkazy pre \uv{sprvne} nemeck
vodzovky:
\verb|"`| (vodzovky a av apostrof) pre spodn vodzovky, a
\verb|"'| (vodzovky a prav apostrof) pre horn vodzovky.\footnote{
V~s. verzii pouvame makro uv\{...\} pre napsanie \uv{...}
(pozn. prekl.).}
\exa
\uv{Nie,} povedal,
\uv{ja neviem ni!}
\exb
\begin{verbatim}
"`Nie,"' povedal,
"`ja neviem ni!"'
\end{verbatim}
\exc


\subsubsection{In prkazy}

Zadanie Document Style Option {\tt german}
dva k~dispozcii ete aj niektor aie prkazy. Najdleitejie
z~nich s:
\verb|"ck| pre \uv{ck}, ktor bude delen ako \uv{k-k},
\verb|"ff| pre \uv{ff}, ktor bude delen ako \uv{ff-f}
(a rovnako pre aie shlsky),
\verb."|. pre vyhnutie sa ligatram.
\exa
Drucker resp. Druk-ker \\
Rolladen resp. Roll-laden \\
Auf\/lage
\exb
\begin{verbatim}
Dru"cker   \\
Ro"lladen  \\
Auf"|lage
\end{verbatim}
\exc

\subsubsection{Nadpisy a zadvanie dtumu}

V~originlnej verzii \LaTeX u~s v~sboroch Document Style pevne zadan
oznaenia kapitol, obrzkov, tabuliek, obsahu at. a pre zadvanie
dtumu. V~neanglickom jazykovom priestore sa namiesto toho obyajne intaluj
modifikovan sbory Document Style, v~ktorch sa pouvaj pre tieto oznaenia
nzvy prkazov, ktor mu by predefinovan uvateom
~\cite{gmd,ciba,muenster,germtug}.
V~tomto prpade spsob napr. prkaz
\begin{quote}
\verb|\renewcommand{\contentsname}{Inhalt}   ,|
\end{quote}
e nadpis obsahu bude pozostva zo slova  \uv{Inhalt}.
Tieto zmeny sa nezadvaj priamo v~kadom jednotlivom vstupnom sbore
\LaTeX u~ale nepriamo zadanm zodpovedajcej voby v~Document Style
alebo prkazom ako napr.
\begin{quote}
\verb|\selectlanguage{\german}  .|
\end{quote}
Tabuka~\ref{names} obsahuje zoznam mien prkazov, ktor sa pouvaj
v~rznych tloch (Document Styles) a texty, ktor tieto obsahuj 
v~originlnej anglickej verzii a pri zadan Document Style Option
 {\tt slovak}.\footnote{V originli s uveden nemeck oznaenia pre
vobu {\tt german} (pozn. prekl.).}$^{,}$ \footnote{V sbore {\tt czech.sty}
som vymenil esk nzvy za slovensk (pozn. prekl.).}
\begin{table}
\caption{Nadpisy} \label{names}
\oben{12cm}
\begin{tabbing}
{\tt xlistfigurename}\qquad \= List of Figures \qquad \= \kill

\verb|\contentsname|      \>Contents      \>Obsah     \\
\verb|\listfigurename|    \>List of Figures \>Zoznam obrzkov \\
\verb|\listtablename|     \>List of Tables \>Zoznam tabuliek   \\
\verb|\abstractname|     \>Abstract  \>Abstrakt   \\
\verb|\refname|      \>References    \>Literatra     \\
\verb|\bibname|      \>Bibliography  \>Pouit literatra   \\
\verb|\indexname|      \>Index      \>Register     \\
\verb|\figurename|      \>Figure      \>Obrzok     \\
\verb|\tablename|      \>Table      \>Tabuka     \\
\verb|\partname|      \>Part      \>as     \\
\verb|\chaptername|      \>Chapter      \>Kapitola     \\
\verb|\appendixname|      \>Appendix      \>Dodatok
\end{tabbing}
\unten
\end{table}

\subsubsection{Layout}

V~nemeckom jazykovom priestore s obvykl sasti in normy (Layouts)
a konvencie ako v~anglickom, napr. odstavce v~lnkoch asto nie s
zvraznen horizontlnym posunom ale vertiklnou medzerou, alebo pri
vloenom vyratvan sa na najvntornejom stupni nepouij pre
slovanie rmske sla ale grcke psmen. Tak zmeny dosiahneme
zadanm pecilnych Document Styles alebo Document Style Options ako
napr.~{\tt deutsch}~\cite{local,gmd,ciba}.




\subsection{Kapitola a nadpisy (section)}

Zaiatok kapitoly, resp. podkapitoly a jej nadpis sa zadvaj
pomocou prkazu \verb|\section{...}| .
Pritom mus by dodran logick hierarchia.
\\[\medskipamount]
V~prpade lnkov:
\begin{quote}
\verb|\section  \subsection  \subsubsection  .|
\end{quote}
V~prpade sprv a knh:
\begin{quote}
\verb|\chapter  \section  \subsection  \subsubsection  .|
\end{quote}
lnok teda me by relatvne jednoducho vybudovan ako kapitola v~knihe.

Odstupy medzi kapitolami, slovanie a vekos psma nadpisu ur \LaTeX\
automaticky.

Nadpis celho lnku, resp. tituln strana publikcie sa sdzaj prkazom
 \verb|\maketitle| .
Obsah mus by predtm dohodnut prkazmi \verb|\title|, \verb|\author|
a \verb|\date| .

Prkaz \verb|\tableofcontents| spsob vytlaenie obsahu.
\LaTeX\ pre neho vezme vdy nadpisy a slovanie strn z~prslunho
poslednho predchdzajceho spracovania vstupnho sboru.
{\bf Pri novovytvorenom alebo o~nov kapitolu rozrenom dokumente musme teda
program \LaTeX\ vola dva razy\footnote{V prpade viacstranovho
obsahu dokonca tri razy (pozn. prekl.).},} aby sme dostali sprvne daje.

Existuj aj prkazy vo forme \verb|\section*{...}|,
ktor lnky neosluj a nezapu do obsahu.

Prklady njdeme na obr.~\ref{dokument} na strane~\pageref{dokument}.

Prkazy \verb|\label| a \verb|\ref| umouj odvola sa v~texte
na sla kapitol (lnkov) automaticky zadan \LaTeX om. Namiesto \verb|\ref{...}|
umiestni \LaTeX\ slo definovan prkazom \verb|\label{...}| .
Aj v~tomto prpade bude vzat slo z~poslednho predchdzajceho
spracovania vstupnho sboru. Prklad:
\begin{quote}
\begin{verbatim}
\section{Algoritmy}
...
Dkaz toho je dan v~kapitole~\ref{dok} .
...
\section{Dkazy} \label{dok}
...
\end{verbatim}
\end{quote}



\subsection{Poznmky pod iarou (footnote)}

Poznmky pod iarou\footnote{Toto
je poznmka pod iarou.}
sa automaticky sluj a tlaia na spodnom konci strany.\footnote{
Podobne sa robia poznmky veda textu pouitm prkazu
\verb.\.{\tt marginpar} (pozn. prekl.).}
%--- Nein, das stimmt nicht ---->
%--- Wenn man statt der automatischen Numerierung andere
%--- Markierungssymbole\footnote[*]{z.B.\ einen oder mehrere Sterne}
%--- verwenden will, kann man diese Symbole als zus"atzlichen Parameter
%--- zwischen eckigen Klammern angeben. Beispiele:
%---              <----------------------------------------------------
\exa
~
\exb
\begin{verbatim}
Poznmky pod iarou\footnote
{Toto je poznmka pod iarou.}
sa automaticky ...
\end{verbatim}
\exc



\subsection{Zvraznen slov (emphasize)}

V~textoch psanch na psacom stroji sa zvraznen asti textu
podiarkuj, v~knhtlai sa na to pouvaj rzne druhy psma.
Prkaz \verb|\em| (emphasize) prepne na \uv{zvraznen} druh psma.
Tento druh psma ostva zapnut a do konca aktulnej skupiny,
preto mus by prkaz \verb|\em| umiestnen vdy {\em vo vntri}
zloench ztvoriek.
\exa
Tto ztvorka stoj {\em pred\/} prkazom,
{\em nie za\/} prkazom.
\exb
\begin{verbatim}
Tto ztvorka stoj {\em pred\/}
prkazom,
{\em nie za\/} prkazom.
\end{verbatim}
\exc

Pre zvraznen text pouva \LaTeX\ {\it kurzvu,} v~ktorej s vetky
znaky naklonen ikmo doprava. Potrebn je prkaz \verb|\/| , aby
posledn ikm psmeno nezasahovalo do nasledujceho priameho textu,
resp.\ medzery.
\exa
Das {\em Nacht}lager
ist {\em nicht} brauchbar. \\
Das {\em Nacht\/}lager
ist {\em nicht\/} h\"a\ss lich.
\exb
\begin{verbatim}
Das {\em Nacht}lager
ist {\em nicht} brauchbar. \\
Das {\em Nacht\/}lager
ist {\em nicht\/} h\"a\ss lich.
\end{verbatim}
\exc

{\em Ak sa vo vntri zvraznenho textu
{\em ete raz} zvraznia slov, tak pre ne pouije \LaTeX\
{\em vzpriamen} psmo.}


\subsection{Prostredia (Environments)} \label{env}

Oznaenie zvltnych ast textu, ktor maj by vysdzan in ako
v~normlnom bloku, sa rob pomocou tzv. prostredia
(Environment) vo forme
\begin{quote}
\verb|\begin{|{\it name\/}\verb|}|\quad
   {\it text\/}\quad
   \verb|\end{|{\it name\/}\verb|}  .|
\end{quote}
Prostredia s \uv{skupiny}. Mu by tie vloen do seba, pritom sa mus
dba na sprvne poradie:
\begin{quote}
\verb|\begin{aaa}...\begin{bbb}...\end{bbb}...\end{aaa}  .|
\end{quote}



\subsubsection{Citovanie (quote, quotation, verse)}

Prostredie {\tt quote} sa hod pre krtke citcie, zvraznen vety
a prklady. Text sa posva vavo a vpravo:
\exa
Zkladn typografick pravidlo
pre dku riadku znie:
\begin{quote}
iaden riadok nesmie obsahova
viac ako 66 psmen.
\end{quote}
Preto sa v~novinch pouvaj
viacer stpce veda seba.
\exb
\begin{verbatim}
Zkladn typografick pravidlo
pre dku riadku znie:
\begin{quote}
iaden riadok nesmie obsahova
viac ako 66 psmen.
\end{quote}
Preto sa v~novinch pouvaj
viacer stpce veda seba.
\end{verbatim}
\exc

Prostredie {\tt quotation} sa hod pre dlhie citcie, pozostvajce
z~viacerch odstavcov.

Prostredie {\tt verse} sa hod pre bsne a prklady, v~ktorch
je podstatn rozdelenie riadkov. Vere (riadky) sa delia
pomocou \verb|\\| , slohy pomocou przdneho riadku.


\subsubsection{Zoznamy (itemize, enumerate, description)}

Prostredie {\tt itemize} sa hod pre jednoduch zoznamy
 (pozri obr.~\ref{item}).
Prostredie {\tt enumerate} sa hod pre oslovan vypotavania
 (pozri obr.~\ref{enum}).
Prostredie {\tt description} sa hod pre popisy (pozri obr.~\ref{desc}).

\begin{figure}[hbpt]
\oben{\textwidth}
\exa
Spis:
\begin{itemize}
\item Pri pouit {\tt itemize} bud prvky oznaen bodmi
alebo i\-n\-mi symbolmi
\item Spisy sa mu aj vklada do seba:
  \begin{itemize}
  \item Maximlna hbka vloenia je 4
  \item
   Posun a oznaenie prvkov sa menia automaticky
  \end{itemize}
\item at.
\end{itemize}
\exb
\begin{verbatim}
Spis:
\begin{itemize}

\item Pri pouit {\tt itemize}
 bud prvky ...

\item Spisy sa mu aj
 vklada do seba:
  \begin{itemize}
  \item Maximlna ...
  \item Posun a ...
  \end{itemize}

\item at.

\end{itemize}
\end{verbatim}
\exc
\unten
\caption{Prklad pre {\tt itemize}} \label{item}
\end{figure}



\begin{figure}
\oben{\textwidth}
\exa
Vypotavania:
\begin{enumerate}
\item Pri pouit {\tt enumerate} sa prvky sluj
ciframi alebo psmenami.
\item slovanie sa uskutouje automaticky.
\item Spisy mu by aj vloen do seba:
  \begin{enumerate}
  \item Maximlna hbka vloenia je 4.
  \item Posun a oznaenie prvkov sa menia automaticky.
  \end{enumerate}
\item at.
\end{enumerate}
\exb
\begin{verbatim}
Vypotavania:
\begin{enumerate}

\item Pri pouit {\tt enumerate}
sa bud prvky ...

\item slovanie ...

\item Spisy  mu by
aj vloen do seba:
  \begin{enumerate}
  \item Maximlna ...
  \item Posun a ...
  \end{enumerate}

\item at.

\end{enumerate}
\end{verbatim}
\exc
\unten
\caption{Prklad pre {\tt enumerate}} \label{enum}
\end{figure}


\begin{figure}
\oben{\textwidth}
\exa
Mal encyklopdia zvierat:
\begin{description}
\item[Kamzk:]
   vek zviera, ktor je zpadne od Semmeringu
   prenasledovan turistami.
\item[Koza:]
   mal zviera, ktor vchodne od Semmeringu
   prenasleduje turistov.
\item[Kozoroec:]
   stredne vek zviera, ktor tu uvdzame
   len kvli dke jeho mena.
\end{description}
\exb
\begin{verbatim}
Mal encyklopdia zvierat:
\begin{description}
\item[Kamzk:]
   vek zviera, ktor ...
\item[Koza:]
   mal zviera, ktor ...
\item[Kozoroec:]
   stredne vek zviera,
   ktor ...
\end{description}
\end{verbatim}
\exc
\unten
\caption{Prklad pre {\tt description}} \label{desc}
\end{figure}


\subsubsection{Priamy vstup (verbatim, verb)}

Riadky, umiestnen medzi \verb|\begin{verbatim}| a \verb|\end{verbatim}|
bud vytlaen presne tak, ako boli zadan, t.zn.\ so vetkmi przdnymi
znakmi a zmenami riadkov a bez interpretovania pecilnych znakov
a prkazov \LaTeX u. Toto sa hod napr.\ pre vytlaenie (krtkeho)
potaovho programu.

Vo vntri odstavca mu by jednotliv znakov kombincie alebo
krtke ksky textu prve tak \uv{doslova} vytlaen, ak ich uzavrieme
medzi \verb.\verb|.\ a \ \verb.|. .
Tmto prkazom boli sdzan napr.\ vetky prkazy \LaTeX u~v~naom
popise.
\exa
Prkaz \verb|\dots| \dots
\exb
\begin{verbatim}
Prkaz \verb|\dots| \dots
\end{verbatim}
\exc

Prostredie {\tt verbatim} a prkaz \verb|\verb|
{\em nesm\/} by pouit vo vntri parametrov inch prkazov
a vo vntri prostredia {\tt tabular} .

\subsubsection
          [Zarovnvanie (flushleft, flushright, center)]
          {Zarovnvanie vavo, vpravo, centrovanie
                       (flushleft, flushright, center)}

Prostredia {\tt flushleft} a {\tt flushright}
spsobuj sadzbu s~avm, resp.\ pravm zarovnvanm
(\uv{nestla sadzba}, t.zn.~bez zarovnvania protiahlch okrajov),
{\tt center} umiestni text do stredu riadku. Jednotliv riadky
sa oddeuj pomocou \verb|\\| .
Ak nezadme \verb|\\| , ur \LaTeX\ delenie riadkov automaticky.

\exa
\begin{flushleft}
vavo \\
Backbord
\end{flushleft}
\exb
\begin{verbatim}
\begin{flushleft}
vavo \\
Backbord
\end{flushleft}
\end{verbatim}
\exc

\exa
\begin{flushright}
vpravo  \\
Steuerbord
\end{flushright}
\exb
\begin{verbatim}
\begin{flushright}
vpravo  \\
Steuerbord
\end{flushright}
\end{verbatim}
\exc

\exa
\begin{center}
V~\\ ri \\ stredu
\end{center}
\exb
\begin{verbatim}
\begin{center}
V~\\ ri \\ stredu
\end{center}
\end{verbatim}
\exc


\subsubsection{Obrzky (figure)}

Text umiestnen medzi \verb|\begin{figure}| a \verb|\end{figure}|
-- resp.~pomocou \verb|\vspace| vyhraden miesto pre vlepenie obrzku
-- bud automaticky umiestnen na miesto, kam sa zmestia kompletn,
bez roztrhnutia zmenou strany. Pomocou \verb|\caption{...}| sdeme
oznaenie obrzku. Pritom sa zadva len text, slovo \uv{Obrzok} a nasledujce
slo bud pripojen \LaTeX om.
Pri obrzkoch je veobecne obvykl umiestova popis {\em pod\/} obraz.
Pomocou \verb|\label| a \verb|\ref| meme doplni v~texte slo obrzku.
\exa
Obr.~\ref{weiss} ukazuje
prklad z~Pop-Artu.
\exb
\begin{verbatim}
Obr.~\ref{weiss} ukazuje
prklad z~Pop-Artu.
\begin{figure}
\vspace{6cm}
\caption{R.~Black, cel
  v~bielom} \label{weiss}
\end{figure}
\end{verbatim}
\exc
\begin{figure}
\vspace{6cm}
\caption{R.~Black, cel
  v~bielom} \label{weiss}
\end{figure}

\subsubsection{Tabuky (table)}

Tabuky sa umiestuj analogicky ako obrzky medzi
\verb|\begin{table}| a \verb|\end{table}| ,
\verb|\caption|, \verb|\label| a \verb|\ref| psobia analogicky.
Pri obrzkoch s rozren obidve mon konvencie: popis sa
umiestuje bu vdy {\em nad\/} alebo vdy
{\em pod\/} tabukou.

Pre vytvorenie tabuky sa najastejie pouva prostredie
{\tt tabbing}
alebo prostredie {\tt tabular}, ktor bud popsan alej.
Meme vak poui aj in truktry (napr.~{\tt enumerate} alebo
{\tt description}) .
Obr.~\ref{table} obsahuje nrt pre tak vloenie prostred (Environments).
\begin{figure}[hbtp]
\oben{8cm}
\begin{verbatim}
\begin{table}
\caption{...} \label{...}
  \begin{center}
    \begin{tabular}{...}
    ...
    \end{tabular}
  \end{center}
\end{table}
\end{verbatim}
\unten

\caption{lenenie prostredia {\tt table}} \label{table}
\end{figure}

\subsubsection{Tabultory (tabbing)}

V~prostred {\tt tabbing} meme nastavova a pouva tabultory
podobne ako na psacom stroji. Prkaz \verb|\=| zadva pozciu
tabultora, \verb|\kill| znamen, e \uv{vzorov riadok} nem by
vytlaen, \verb|\>| sko na aiu pozciu tabultora a \verb|\\|
del riadky.
\exa
\begin{tabbing}
war einmal\quad \=
 und ist \quad \= \kill
vavo \> stred \> vpravo\\
Es \\
war einmal \> und ist
 \> nicht mehr\\
ein  \>  \> ausgestopfter\\
 \>  \> Teddyb\"ar
\end{tabbing}
\exb
\begin{verbatim}
\begin{tabbing}
war einmal\quad \=
 und ist \quad \= \kill
vavo \> stred \> vpravo\\
Es \\
war einmal \> und ist
 \> nicht mehr\\
ein  \>  \> ausgestopfter\\
 \>  \> Teddyb"ar
\end{tabbing}
\end{verbatim}
\exc

\subsubsection{Vlastn tabuky (tabular)}

Prostredie {\tt tabular} sli k~sadzbe tabuliek, pri ktorch \LaTeX\
automaticky ur potrebn rku stpcov a pri ktorch mu by
dohodnut aj pecilne vlastnosti ako zarovnanie napravo a pomocn
iary.

V~parametri prkazu \verb|\begin{tabular}{...}| sa zad formt tabuky.
Pritom {\tt l} znamen stpec s~textom zarovnanm vavo,
{\tt r} so zarovnanm vpravo,
{\tt c} s~centrovanm textom,
\verb|p{|{\it rka\/}\verb|}| -- stpec so zadanou rkou pre viacriadkov
text,
\verb.|. -- zvisl iaru.

Vo vntri tabuky znamen \verb|&| skok na a stpec tabuky,
\verb|\\| oddeuje riadky,
\verb|\hline| (na mieste riadku) vysdza vodorovn iaru.

          \vspace{0pt plus 1cm}
\exa
\begin{tabular}[t]{|rl|}
\hline
7C0 & hexadezimal \\
3700 & oktal \\
11111000000 & bin\"ar \\
\hline
1984 & dezimal \\
\hline
\end{tabular}
\exb
\begin{verbatim}
\begin{tabular}{|rl|}
\hline
7C0 & hexadezimal \\
3700 & oktal \\
11111000000 & bin"ar \\
\hline
1984 & dezimal \\
\hline
\end{tabular}
\end{verbatim}
\exc


